import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { RouteReuseStrategy } from '@angular/router';

import { IonicModule, IonicRouteStrategy } from '@ionic/angular';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { HttpClient } from '@angular/common/http';
import { Diagnostic } from '@awesome-cordova-plugins/diagnostic/ngx';
import Parse from 'parse';
//import { FmodeNgModule } from 'fmode-ng';
// 2. 模块导入（修正拼写错误）
// import { 
//   ChatPanelOptions, 
//   FmChatModalInput,  
//   FmodeChat,
//   FmodeChatMessage,
//   openChatPanelModal 
// } from 'fmode-ng';

Parse.initialize("ncloudmaster");
Parse.serverURL = "https://server.fmode.cn/parse";
localStorage.setItem("NOVA_APIG_SERVER", 'aHR0cHMlM0ElMkYlMkZzZXJ2ZXIuZm1vZGUuY24lMkZhcGklMkZhcGlnJTJG')

@NgModule({
  declarations: [AppComponent],
  imports: [
    BrowserModule,
    IonicModule.forRoot(), 
    AppRoutingModule,
    
    // FmodeNgModule.forRoot({
    //   apiEndpoint: 'https://your-ai-service.com/api',
    //   defaultAvatar: 'assets/ai-avatar/ai-avatar.jpg'
    // })
  ],
  providers: [{ provide: RouteReuseStrategy, useClass: IonicRouteStrategy },HttpClient,Diagnostic,],
  bootstrap: [AppComponent],
})
export class AppModule {}
